<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('detail_penawaran_logs', function (Blueprint $table) {
            $table->string('no_proposal')->nullable()->after('penawaran_id');
            $table->date('tgl_proposal')->nullable()->after('no_proposal');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('detail_penawaran_logs', function (Blueprint $table) {
            $table->dropColumn('no_proposal');
            $table->dropColumn('tgl_proposal');
        });
    }
};
